<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Agent Console</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="/stylesheets/agents.css" type="text/css">

    <!-- Custom styles for this template -->
    <link href="/stylesheets/agents.css" rel="stylesheet">
</head>


<body>
    <!-- Header Start -->
    <div class="header">       
        <div class="header-wrapper">
            <div class="header-title">Agent Console</div>
            <div class="header-profile">
                <div>
                    <div>Jason Hart</div>
                    <div>Human Resource Manager</div>
                </div>

                <!-- RAYAN"S CODE -->
                <div class="action">
                    <div class="profile" data-toggle="dropdown" onclick="menuToggle();">JA</div>
                    <div class="menu">  
                        <ul>
                            <li><a href="#">Edit profile</a></li>
                            <li><a href="#">Account Management</a></li>
                        </ul>
                    </div>
                </div>

                <!-- RAYAN"S CODE END -->

                <!-- ACTUAL CODE -->

                <!-- <div class="dropdown">
                    <div class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown">JA</div>
                    <ul class="dropdown-menu">
                        <li><a href="#">Edit profile</a></li>
                        <li><a href="#">Account Management</a></li>
                    </ul>
                </div> -->
            </div>
        </div>
    </div>
    <!-- Header End -->

    <!-- RAYAN"S CODE START>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>-->


    <div id="ag-modal1" class="ag-Modal1">
        <div class="modal-contentAgent">
            <div class="ag-modal-header">
                <h4>Add New Agent</h4>
            </div>
            <form action="#" name="mainform" class="ag-form" onsubmit="return check()">
                <div class="ag-modal-body">

                    <div class="form">
                        <label>First Name</label><br>
                        <input type="text" class="form-data" id="fname">
                        <span class="spans" id="spanfname"></span>>
                    </div>
                    
                    <div class="form">
                        <label>Last Name</label><br>
                        <input type="text" class="form-data" id="lname">
                        <span id="spanlname" class="spans"></span>
                    </div>

                    <div class="form">
                        <label>Email </label><br>
                        <input type="text" class="form-data" id="email">
                        <span id="spanemail" class="spans"></span>
                    </div>

                    <div class="form">
                        <label>Admin</label><br>
                        <input type="radio" id="admin-check1" name="admin" value="true"><label>Yes</label><br>
                        <input type="radio" id="admin-chck2" name="admin" value="false"><label>No</label><br>
                        <span id="spanadmin" class="spans"></span>
                    </div>

                    <div class="form">
                        <label>Time Zone</label><br>
                        <select class="form-data" id="tzone">
                            <option>PST</option>
                            <option>IST</option>
                            <option>AEST</option>
                        </select>
                    </div>
                    
                   <div class="form">
                        <label>Work hours</label><br>
                        <input type="time" class="form-data" id="whours">
                    </div>

                    <div class="form">
                        <label>Roles</label><br>
                        <select class="form-data" id="roles">
                            <option>Developer</option>
                            <option>Human Resource</option>
                            <option>Sales</option>
                            <option>Customer Service</option>
                        </select>
                    </div>

                    <div class="ag-footer">
                        <input type="submit" value="Submit" class="sub-btn">
                        <button class="sub-btn" onclick="cancel()">Close</button>
                    </div>
                </div>
            </form>
            
        </div>
    </div>


    <!-- RAYAN"S CODE END -->

    <!-- Container -->
    <div class="chat-container ag-wrapper chat-fadeIn">
        <div class="ag-top-section">
            <div class="ag-top-left">
                <div>Agent Management</div>
                <div>
                    <input type="text" id="ag-search" placeholder="Search" />
                    <i class="fa fa-search"></i>
                </div>
            </div>
            <div class="ag-top-right">
                <button onclick ="agModal()">Add Agent</button>
                <!-- <button onclick ="agModal()">Add Agent</button> -->
                <button>Save</button>
                <button>Close</button>
            </div>
        </div>
        <div class="ag-table">
            <table id="example" class="table" style="width:100%">
                <thead>
                    <tr>
                        <th>AGENTS</th>
                        <th>STATUS</th>
                        <th>DESIGNATION</th>
                        <th>WORK HOURS</th>
                        <th>TIMEZONE</th>
                        <th>ACTIONS</th>
                    </tr>
                </thead>
                <tbody id="v-for-object">
                    <tr v-for="agent in agentslist">
                        <td>
                            <div>
                                <div><img width="38" src="/assets/images/user-1.png" /></div>
                                <div>{{agent.user.firstName}} {{agent.user.lastName}}</div>
                            </div>
                        </td>

                        <td>
                            <div><img src="/assets/images/not-active.png" /></div>
                        </td>

                        <td>{{agent.roles[0].roles}}</td>

                        <td>
                            <div class="ag-hours">
                                <div>{{agent.user.workHours}}</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>{{agent.user.timezone}}</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="/assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <!-- <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-2.png" /></div>
                                <div>Johnny Roche</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-3.png" /></div>
                                <div>Erika Brown</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-4.png" /></div>
                                <div>Chandra Quinton</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-1.png" /></div>
                                <div>Owen Rodriguz</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/not-active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-2.png" /></div>
                                <div>Heidi Watson</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-3.png" /></div>
                                <div>Kimberly Graves</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/not-active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div>
                                <div><img width="38" src="./assets/images/user-4.png" /></div>
                                <div>Nancy Underwood</div>
                            </div>
                        </td>
                        <td>
                            <div><img src="./assets/images/not-active.png" /></div>
                        </td>
                        <td>Human Resource</td>
                        <td>
                            <div class="ag-hours">
                                <div>8:00 am to 6:00 pm</div>
                                <select class="form-control">
                                    <option>8:00 am to 6:00 pm</option>
                                    <option>1:00 am to 2:00 pm</option>
                                    <option>2:00 am to 4:00 pm</option>
                                    <option>4:00 am to 6:00 pm</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="ag-time">
                                <div>PST</div>
                                <select class="form-control">
                                    <option>PST</option>
                                    <option>IST</option>
                                    <option>EST</option>
                                </select>
                            </div>
                        </td>
                        <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="./assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr> -->

                </tbody>
            </table>
        </div>
    </div>
    <!-- End Container -->
</body>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>

// RAYAN"S CODE
function menuToggle(){
        const toggleMenu = document.querySelector('.menu');
        toggleMenu.classList.toggle('active');
    }

    function agModal(){
                document.getElementById("ag-modal1").style.display="block"
            }
    function cancel(){
            console.log("in closse func")
            document.getElementById("ag-modal1").style.display="none"
        }

        function check(){
            var fname =document.getElementById("fname").value
            var email =document.getElementById("email").value
            var checkboxes = document.mainform.admin;

            for(let i=0;i<checkboxes.length;i++)
            {
                if(checkboxes[i].checked==false)
                {
                    document.getElementById('spanadmin').innerHTML="Please select one";
                    return false;
                }
            }
           

            if(fname==""){
                document.getElementById('spanfname').innerHTML="Cant be blank";
                return false;
            }
            if(fname.length<3 || fname.length>15){
                document.getElementById('spanfname').innerHTML="Length should be between 3 to 15"
                return false;
            }
            if(!isNaN(fname)){
                document.getElementById('spanfname').innerHTML="shud not be a num"
                return false;
            }
            if(email==""){
                document.getElementById('spanfname').innerHTML="Cant be blank";
                return false;
            }
           if(email.indexOf('@')==0)
           {
               console.log("IN AT THE RATE")
            document.getElementById('spanemail').innerHTML=`Cannot start with a '@'`;
                return false;
           }
           if(email.charAt(email.length-4)!='.')
           {
               console.log("IN THE DOT ")
            document.getElementById('spanemail').innerHTML=`Enter a proper email`
                return false;
           }
           

                
        }

    // RAYAN"S CODE END

    new Vue({
        el: '#v-for-object',
        data: {
            email: '',
            agents: [{
                firstName: 'John',
                lastName: 'Doe',
                workHours: 'none',
                timezone: 'IND',
                roles: 'HR'
            }],
            agentslist: []
            //     agentslist: [
            //         {
            //             "_id": "6051e3120d2e86001ce57026",
            //             "account": "6051e3120d2e86001ce57024",
            //             "user": {
            //                 "status": false,
            //                 "_id": "602663372db5b7001276540c",
            //                 "firstName": "Deepima",
            //                 "lastName": "Dwivedi",
            //                 "email": "deepima.dwivedi@avaamo.com",
            //                 "admin": false,
            //                 "__v": 0,
            //                 "pin": "53050064"
            //             },
            //             "roles": [
            //                 {
            //                     "_id": "6051e3120d2e86001ce57025",
            //                     "account": "6051e3120d2e86001ce57024",
            //                     "roles": "Administrator",
            //                     "__v": 0
            //                 }
            //             ]
            //         }
            //     ]
        },
        methods: {
            listOfAgents: function () {
                // this.token = JSON.parse(localStorage.getItem('token'));
                // console.log(this.token);
                console.log("HERE");
                let accountId = '608803f30357ae001a325904';
                let self = this;
                fetch(`/api/account/${accountId}/users`, {
                    method: 'GET',
                    headers: {
                        'Content-Type': 'application/json'
                    }
                }).then((res) => {
                    return res.json();
                }).then(data => {
                    // console.log("DATA========++>>>>>>>", data);
                    console.log("DATA========1++>>>>>>>", data[0]);
                    console.log("DATA========2++>>>>>>>", data[1]);

                    self.agentslist = data;
                });
                // .then((res) => {
                //         console.log(res);
                //         self.agentslist = res.json;
                //     })
            }
        },
        //  agModal(){
        //         console.log("VIEW")
        //         document.getElementById("ag-modal1").style.display="block"
        //         // getmodal.style.display="block";
        //         console.log("END VIEW")

        //     },
        // close(){
        //     document.getElementById("ag-modal1").style.display="none"
        // },
        beforeMount() {
            this.listOfAgents()
        },
    });

</script>

</html>